Partners - Get
Hiermee haalt u een integratieaccountpartner op.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/integrationAccounts/{integrationAccountName}/partners/{partnerName}?api-version=2016-06-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
integration
|
path | True |
string |
De naam van het integratieaccount. |
|
partner
|
path | True |
string |
De naam van de partner van het integratieaccount. |
|
resource
|
path | True |
string |
De naam van de resourcegroep. |
|
subscription
|
path | True |
string |
De abonnements-id. |
|
api-version
|
query | True |
string |
De API-versie. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Get partner by name
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/partners/testPartner?api-version=2016-06-01
Voorbeeldrespons
{
"properties": {
"partnerType": "B2B",
"content": {
"b2b": {
"businessIdentities": [
{
"qualifier": "AA",
"value": "ZZ"
}
]
}
},
"createdTime": "2017-03-06T20:01:24.0517156Z",
"changedTime": "2017-03-06T20:01:24.0525141Z",
"metadata": {}
},
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/partners/testPartner",
"name": "testIntegrationAccount",
"type": "Microsoft.Logic/integrationAccounts/partners"
}
Definities
| Name | Description |
|---|---|
|
B2BPartner |
De inhoud van de B2B-partner. |
|
Business |
De zakelijke identiteit van de integratieaccountpartner. |
|
Integration |
De partner van het integratieaccount. |
| Metadata |
De metagegevens. |
|
Partner |
De inhoud van de integratieaccountpartner. |
|
Partner |
B2BPartnerContent
De inhoud van de B2B-partner.
| Name | Type | Description |
|---|---|---|
| businessIdentities |
De lijst met zakelijke identiteiten van partners. |
BusinessIdentity
De zakelijke identiteit van de integratieaccountpartner.
| Name | Type | Description |
|---|---|---|
| qualifier |
string |
De kwalificatie van bedrijfsidentiteit, bijvoorbeeld as2identiteit, ZZ, ZZZ, 31, 32 |
| value |
string |
De door de gebruiker gedefinieerde bedrijfsidentiteitswaarde. |
IntegrationAccountPartner
De partner van het integratieaccount.
| Name | Type | Description |
|---|---|---|
| id |
string |
De resource-id. |
| location |
string |
De resourcelocatie. |
| name |
string |
Hiermee haalt u de resourcenaam op. |
| properties.changedTime |
string (date-time) |
De gewijzigde tijd. |
| properties.content |
De inhoud van de partner. |
|
| properties.createdTime |
string (date-time) |
De gemaakte tijd. |
| properties.metadata |
De metagegevens. |
|
| properties.partnerType |
Het partnertype. |
|
| tags |
object |
De resourcetags. |
| type |
string |
Hiermee haalt u het resourcetype op. |
Metadata
De metagegevens.
PartnerContent
De inhoud van de integratieaccountpartner.
| Name | Type | Description |
|---|---|---|
| b2b |
De inhoud van de B2B-partner. |
PartnerType
| Waarde | Description |
|---|---|
| NotSpecified | |
| B2B |